2019-12-07 11:54 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001088FSSCPmultiplayerpublic2008-09-10 07:24
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001088: Call to ai_do_objects_docked_stuff when objects are already docked
DescriptionReceived the above error message about 10 times in one game. Funny part is it was a gauntlet with no docked ships. I believe it occured in Lone_m02. This occured as a player not as host. Have not tried to duplicate but reported since it occured so many times. Most often seemd to occur right after a wave of ships arrived.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001713resolvedkarajorma Multiple calls to ai_do_objects_docked_stuff() 
+Relationships

-Notes

~0006810

FUBAR-BDHR (developer)

Confirmed in another mission.

~0006820

taylor (administrator)

Last edited: 2006-10-06 05:18

This is related to the support ship (which does dock on request). Please put the attached file in the root of your game directory (where ever the binary is located) and recreate the problem. This should produce a bit more logging info in fs.log that can be used to track down the problem.

edited on: 10-06-06 05:18

~0006825

FUBAR-BDHR (developer)

Last edited: 2006-10-06 19:03

Ok that one should contain 2 different errors. The one for this topic and the one I mentioned in 1084. Do you want me to create a new report and include this file in that one too?

Also I'll try for another one with just this bug in it.

edited on: 10-06-06 19:03

~0006834

Goober5000 (administrator)

It's best if each mission you attach demonstrates only one bug.

~0006836

FUBAR-BDHR (developer)

Well that was the plan but 2 decided to show up. Still working on getting another debug with just the one error and that filter on. Is that filter OK to run for all bugs or specific to this one?

~0006885

FUBAR-BDHR (developer)

Finally got the error captured with that filter and no other errors in the file.

~0006939

FUBAR-BDHR (developer)

Noticed something different with the same error tonight. After the error my secondaries were partially or fully reloaded.

~0009448

taylor (administrator)

Not going to work on this.

~0009539

karajorma (administrator)

I saw this one a couple of times last night but I was hot on the trail of a different bug so I didn't trace it out. I'll keep an eye out for it again.

~0009660

karajorma (administrator)

It was an extra unneeded call. Removed
+Notes

-Issue History
Date Modified Username Field Change
2006-10-05 19:32 FUBAR-BDHR New Issue
2006-10-05 19:32 FUBAR-BDHR File Added: Media-10-05-06b.rar
2006-10-05 20:05 FUBAR-BDHR File Added: Media-10-05-06d.rar
2006-10-05 20:05 FUBAR-BDHR Note Added: 0006810
2006-10-06 05:17 taylor Note Added: 0006820
2006-10-06 05:17 taylor File Added: debug_filter.cfg
2006-10-06 05:18 taylor Note Edited: 0006820
2006-10-06 18:48 FUBAR-BDHR File Added: Media-10-06-06a.rar
2006-10-06 18:50 FUBAR-BDHR Note Added: 0006825
2006-10-06 19:03 FUBAR-BDHR Note Edited: 0006825
2006-10-09 08:48 Goober5000 Note Added: 0006834
2006-10-09 12:56 FUBAR-BDHR Note Added: 0006836
2006-10-13 18:48 FUBAR-BDHR File Added: Media-10-13-06b.rar
2006-10-13 18:48 FUBAR-BDHR Note Added: 0006885
2006-10-19 22:19 FUBAR-BDHR Note Added: 0006939
2008-07-17 12:24 taylor Note Added: 0009448
2008-07-17 12:24 taylor Assigned To taylor =>
2008-07-17 12:24 taylor Status assigned => acknowledged
2008-08-06 16:20 karajorma Status acknowledged => assigned
2008-08-06 16:20 karajorma Assigned To => karajorma
2008-08-06 16:21 karajorma Note Added: 0009539
2008-09-10 07:24 karajorma Status assigned => resolved
2008-09-10 07:24 karajorma Fixed in Version => 3.6.10
2008-09-10 07:24 karajorma Resolution open => fixed
2008-09-10 07:24 karajorma Note Added: 0009660
2009-01-20 00:41 Goober5000 Relationship added has duplicate 0001713
+Issue History